Skip to main content
GET
/
schema-registry
/
subjects
List Schema Subjects
curl --request GET \
  --url https://api.streamkap.com/schema-registry/subjects \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.streamkap.com/schema-registry/subjects"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.streamkap.com/schema-registry/subjects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 123,
  "page_size": 123,
  "total": 123,
  "result": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:50

Items per page

Required range: 1 <= x <= 500
include_metadata
boolean
default:true

Include latest version metadata for each subject

search
string | null

Search subjects by name (case-insensitive substring match)

schema_type
string | null

Filter by schema type (AVRO, JSON, PROTOBUF)

Response

Successful Response

Paginated schema subjects list response.

page
integer
required

Current page number

page_size
integer
required

Items per page

total
integer
required

Total number of subjects

result
required

List of schema subjects